Bug 1629121 - When a button is for 'single and list' or 'list' and has a visibility expression, the button does not display in the list view even when all VMs in the list meet the expression
Summary: When a button is for 'single and list' or 'list' and has a visibility express...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.5
Assignee: Harpreet Kataria
QA Contact: Nikhil Dhandre
URL:
Whiteboard:
Depends On: 1625382
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-14 20:53 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
6 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1625382
Environment:
Last Closed: 2018-11-05 13:59:33 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:11 UTC

Comment 2 CFME Bot 2018-09-17 17:18:10 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/4d3068652f1be604d64f779b06dd88ae6e5cbc25
commit 4d3068652f1be604d64f779b06dd88ae6e5cbc25
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Sep 13 11:23:34 2018 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Thu Sep 13 11:23:34 2018 -0400

    Merge pull request #4629 from h-kataria/custom_button_with_expression_only_for_single_entities

    Custom Buttons with expressions are only visible on summary screen
    (cherry picked from commit 3621156b0ef7cc72a99613461d10b51b14ca7349)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1629121

 app/controllers/application_controller/buttons.rb | 8 +-
 app/views/shared/buttons/_ab_advanced_form.html.haml | 43 +-
 app/views/shared/buttons/_ab_options_form.html.haml | 3 +
 spec/controllers/miq_ae_customization_controller/custom_buttons_spec.rb | 1 +
 4 files changed, 36 insertions(+), 19 deletions(-)

Comment 6 errata-xmlrpc 2018-11-05 13:59:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.